import {createHashRouter} from "react-router-dom";
import Index from "../route/index/Index.tsx";
import ProjCreate from "./proj/ProjCreate.tsx";
import ProjNew from "./proj/ProjNew.tsx";
import ProjEdit from "./proj/ProjEdit.tsx";
import ProjEditStep1 from "./proj/edit/ProjEditStep1.tsx";
import ProjEditStep1Show from "./proj/edit/ProjEditStep1Show.tsx";
import ProjEditStep2 from "./proj/edit/ProjEditStep2.tsx";
import ProjEditStep2Show from "./proj/edit/ProjEditStep2Show.tsx";
import ProjEditStep3 from "./proj/edit/ProjEditStep3.tsx";
import ProjEditStep3Show from "./proj/edit/ProjEditStep3Show.tsx";
import ProjEditStep4 from "./proj/edit/ProjEditStep4.tsx";
import ProjEditStep4Show from "./proj/edit/ProjEditStep4Show.tsx";
import ProjEditStep5 from "./proj/edit/ProjEditStep5.tsx";
import ProjEditStep5Show from "./proj/edit/ProjEditStep5Show.tsx";
import ProjEditStep6 from "./proj/edit/ProjEditStep6.tsx";
import ProjEditStep6Show from "./proj/edit/ProjEditStep6Show.tsx";
import ProjConfigLoginpage from "./proj/edit/ProjConfigLoginpage.tsx";
import ProjConfigLoginpageShow from "./proj/edit/ProjConfigLoginpageShow.tsx";
import ProjConfigModList from "./proj/edit/ProjConfigModList.tsx";
import ProjConfigModListShow from "./proj/edit/ProjConfigModListShow.tsx";
import ProjConfigModSave from "./proj/edit/ProjConfigModSave.tsx";
import ProjConfigModEdit from "./proj/edit/ProjConfigModEdit.tsx";
import ProjConfigModShow from "./proj/edit/ProjConfigModShow.tsx";
import ProjConfigMenuList from "./proj/edit/ProjConfigMenuList.tsx";
import ProjConfigMenuListShow from "./proj/edit/ProjConfigMenuListShow.tsx";
import AgentSelect from "./agent/AgentSelect.tsx";
import AgentAgreement from "./agent/AgentAgreement.tsx";
import AgentCorrection from "./agent/AgentCorrection.tsx";
import AgentResult from "./agent/AgentResult.tsx";

export const router = createHashRouter([
    {
        path: '/',
        element: <Index />
    },
    {
        path: '/proj-create',
        element: <ProjCreate />
    },
    {
        path: '/proj-new/:projChargeType',
        element: <ProjNew/>
    },
    {
        path: '/proj-edit/:projId',
        element: <ProjEdit/>
    },
    {
        path: '/proj-edit/step1/:projId',
        element: <ProjEditStep1/>
    },
    {
        path: '/proj-edit/step1-show/:projId',
        element: <ProjEditStep1Show/>
    },
    {
        path: '/proj-edit/step2/:projId',
        element: <ProjEditStep2/>
    },
    {
        path: '/proj-edit/step2-show/:projId',
        element: <ProjEditStep2Show/>
    },
    {
        path: '/proj-edit/step3/:projId',
        element: <ProjEditStep3/>
    },
    {
        path: '/proj-edit/step3-show/:projId',
        element: <ProjEditStep3Show/>
    },
    {
        path: '/proj-edit/step4/:projId',
        element: <ProjEditStep4/>
    },
    {
        path: '/proj-edit/step4-show/:projId',
        element: <ProjEditStep4Show/>
    },
    {
        path: '/proj-edit/step5/:projId',
        element: <ProjEditStep5/>
    },
    {
        path: '/proj-edit/step5-show/:projId',
        element: <ProjEditStep5Show/>
    },
    {
        path: '/proj-edit/step6/:projId',
        element: <ProjEditStep6/>
    },
    {
        path: '/proj-edit/step6-show/:projId',
        element: <ProjEditStep6Show/>
    },
    {
        path: '/proj-edit/config-loginpage/:projId',
        element: <ProjConfigLoginpage/>
    },
    {
        path: '/proj-edit/config-loginpage-show/:projId',
        element: <ProjConfigLoginpageShow/>
    },
    {
        path: '/proj-edit/config-mod-list/:projId',
        element: <ProjConfigModList/>
    },
    {
        path: '/proj-edit/config-mod-list-show/:projId',
        element: <ProjConfigModListShow/>
    },
    {
        path: '/proj-edit/config-mod-save/:projId',
        element: <ProjConfigModSave/>
    },
    {
        path: '/proj-edit/config-mod-edit/:projId/:projModId',
        element: <ProjConfigModEdit/>
    },
    {
        path: '/proj-edit/config-mod-show/:projId/:projModId',
        element: <ProjConfigModShow/>
    },
    {
        path: '/proj-edit/config-menu-list/:projId',
        element: <ProjConfigMenuList/>
    },
    {
        path: '/proj-edit/config-menu-list-show/:projId',
        element: <ProjConfigMenuListShow/>
    },
    {
        path: '/agent-select/:projId',
        element: <AgentSelect/>
    },
    {
        path: '/agent-agreement/:orderId',
        element: <AgentAgreement/>
    },
    {
        path: '/agent-correction/:orderId',
        element: <AgentCorrection />
    },
    {
        path: '/agent-result/:orderId',
        element: <AgentResult />
    },
])